The forum

Unable to Install POL in Fedora 32

Broken Dependencies

Author Replies
ryancoeit Tuesday 7 July 2020 at 9:59
ryancoeit

Hello

I'm unable to install the playonlinux.noarch rpm in fedora 32 due to a missing dependency, i can "pip install wxPython" but this isn't recognised i did find an old version of wxpython to test install which works however during the next "dnf update" the package will be removed.

Any advice would be appreciated ?

Kind Regards

Specs: 

OS: Fedora release 32 (Thirty Two) x86_64 
Kernel: 5.7.7-200.fc32.x86_64 
CPU: AMD Ryzen 7 2700 (16) @ 3.200GHz 
GPU: AMD ATI Radeon RX 470/480/570/570X/580/580X/590 
GPU: AMD ATI Radeon R7 240/340 
Memory: 64313MiB 

 

Error: 
 Problem: conflicting requests
  - nothing provides wxPython needed by playonlinux-3.8.10-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-3.8.11-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-3.8.12-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-3.8.7-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-3.8.8-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-3.8.9-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.10-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.11-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.12-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.13-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.14-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.17-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.18-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.19-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.1-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.2-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.4-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.5-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.6-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.7-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.8-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0.9-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.0-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.0-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.1-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.2-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.3-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.4-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.5-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.6-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.7-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.8-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.1.9-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.1-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.10-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.11-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.2-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.3-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.4-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.5-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.6-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.7-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.8-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2.9-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.2-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.3.1-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.3.2-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.3.3-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.3.4-fedora0.noarch
  - nothing provides wxPython needed by playonlinux-4.3-fedora0.noarch
(try to add '--skip-broken' to skip uninstallable packages)

 

Dadu042 Tuesday 7 July 2020 at 10:11
Dadu042
Moderator

Perhaps this is because POL v4.3 need Python v2 (now outdated, Python is provided on the OS with v3).

POL v4.4 (changelog) will support Python v3.